%define pname     graphtft
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.3.1
Release:        4
Summary:        This is the graphtft Plugin for the Video Disk Recorder (VDR)

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.jwendel.de/vdr/
Source0:        http://www.jwendel.de/vdr/%{name}-%{version}.tar.bz2
Source1:	DeepBlue-horchi-%{version}.tar.bz2
Source2:	deepblue-fonts.tar.bz2
Patch0:		graphtft-ffmpeg.patch
Source200:      vdr-graphtft.runvdr
Source201:	build.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: vdr-devel >= 1.6.0
Requires:      vdr(abi) = %{apiver}
#Automatically resolved build dependencies
BuildRequires: DirectFB-devel
BuildRequires: ffmpeg-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: ImageMagick-devel
BuildRequires: imlib2-devel
BuildRequires: libgcc
BuildRequires: libgtop-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: perl
BuildRequires: qt4-devel
BuildRequires: sysfsutils-devel
BuildRequires: zlib-devel

%description
This is the graphtft Plugin for the Video Disk Recorder (VDR)

%prep
%setup -q -n %{pname}-%{version}
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile
#sed -i -e s/#HAVE_MAGICK=1/HAVE_MAGICK=1/g Makefile
#sed -i -e s/#HAVE_FREETYPE\ =\ 1/HAVE_FREETYPE\ =\ 1/g Makefile
%patch0 -p1
install -m 755 %{SOURCE201} graphtft-fe

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale all

pushd graphtft-fe
#./clean.sh
make clean
./build.sh
popd

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/graphtft
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n

install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/vdr/plugins/graphTFT
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/vdr/plugins/graphTFT/themes
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/vdr/plugins/graphTFT/fonts
install -m 755 -d $RPM_BUILD_ROOT%{plugindir}/bin

tar xvfj %{SOURCE1} -C $RPM_BUILD_ROOT%{_sysconfdir}/vdr/plugins/graphTFT/themes
tar xvfj %{SOURCE2} -C $RPM_BUILD_ROOT%{_sysconfdir}/vdr/plugins/graphTFT/fonts

install -m 755 graphtft-fe/graphtft-fe $RPM_BUILD_ROOT%{plugindir}/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable graphtft >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable graphtft >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc documents/README documents/HISTORY documents/INSTALL documents/HOWTO*
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%config(noreplace) %{_sysconfdir}/runvdr/graphtft
%_libdir/vdr/locale
%dir %{_sysconfdir}/vdr/plugins/graphTFT
%dir %{_sysconfdir}/vdr/plugins/graphTFT/themes
%dir %{_sysconfdir}/vdr/plugins/graphTFT/fonts
%{_sysconfdir}/vdr/plugins/graphTFT/themes/DeepBlue
%{_sysconfdir}/vdr/plugins/graphTFT/fonts/*.ttf
%{plugindir}/bin/graphtft-fe

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.1-4
- rebuild against vdr-1.6.0-14
* Sun Sep 13 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.1-3
- rebuild against latest libs
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.1-2
- rebuild against vdr-1.6.0-10
* Fri Dec 19 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.1-1
- Version update
* Sat Dec 06 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.0-1
- Version update
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.2-3
- rebuild against vdr-1.6.0-9
* Sat Nov 22 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.2-2
- updated DeepBlue Theme
* Mon Nov 17 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.2-1
- Initial release